Udon is under active development. Documentation not final.
udonudon
Auth

Sign in

Sign in with a username and password. Public; sets the session cookie.

POST
/api/auth/login

Header Parameters

X-Udon-Client?string

Any value. Returns the session token in the body as well as in the cookie, for a native client that has no cookie jar.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/auth/login" \  -H "Content-Type: application/json" \  -d '{    "username": "string",    "password": "string"  }'
{  "id": "string",  "username": "string",  "role": "viewer",  "disabled": true,  "twoFactor": true}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.